package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel("结转汇总统计对象")
public class JzhztjDto {

    @ApiModelProperty("统计类型: 1-水费 2-污水费 3-水资源费")
    private Integer type;

    @ApiModelProperty("统计明细")
    private List<Jzhztjmx> details = new ArrayList<>();

    @ApiModelProperty("合计数量")
    private BigDecimal hjsl;

    @ApiModelProperty("合计金额")
    private BigDecimal hjje;

    @ApiModelProperty("合计户数")
    private Integer hjhs;

    public static JzhztjDto buildByType(Integer type) {
        JzhztjDto jzhztjDto = new JzhztjDto();
        jzhztjDto.setType(type);
        return jzhztjDto;
    }

}
